/**
 * @file
 * @brief Application.hppの実装を記述する。
 * @author akino
 */
#include <XBase/Application.hpp>

//-----------------------------------------------------------
#include "EntryPoint_Sync.h"

//------------------------------------------------------------
namespace XBase {
//-----------------------------------------------------------
void Application::quit()
{
    // iOSにはquitするという概念がないので何もしない
}
    
//-----------------------------------------------------------
AppEvent Application::receiveEventCore()
{
    // まずUIMainにシグナル送信して同期する
    XBaseEntryPointSync_UIMainSignal();
    XBaseEntryPointSync_XMainWait();
    
    // 新しいイベントを取得
    switch( XBaseEntryPointSync_GetAppEvent() )
    {
    case XBaseAppEvent_Quit:
        return AppEvent_Quit;
        
    case XBaseAppEvent_Update:
        return AppEvent_Update;
        
    default:
        XBASE_NOT_REACH_ASSERT();
        return AppEvent_MIN;
    }
}    
    
//------------------------------------------------------------
}
//------------------------------------------------------------
// EOF
