﻿/**
 * @file
 * @brief Display_EXT型を記述する。
 * @author akino
 */
#if defined(XBASE_INCLUDED_DISPLAY_WINDOWS_HPP)
#else
#define XBASE_INCLUDED_DISPLAY_WINDOWS_HPP

//------------------------------------------------------------
#include <XBase/DisplayContext.hpp>
#include <XBase/Placement.hpp>
#include <XBase/Screen.hpp>
#include <XBase/SDKHeader.hpp>

//------------------------------------------------------------
namespace XBase {
    class Application;
}

//------------------------------------------------------------
namespace XBase {
/// @addtogroup XBase-System
//@{
    // Windows環境でのDisplayの拡張。
    class Display_EXT
    {
    public:
        //============================================================
        static LRESULT CALLBACK WindowProcess( HWND , UINT , WPARAM , LPARAM );

        //============================================================
        HWND window;
        WNDCLASSEX windowClass;
        MSG  message;
        Placement< Screen > mainScreen;
        bool isClosed;

        //============================================================
        Display_EXT( const DisplayContext& );

        //============================================================
        void    pollEvent( Application& );
        LRESULT windowProcess( HWND , UINT , WPARAM , LPARAM );
    };
//@}
}
//------------------------------------------------------------
#endif
// EOF
