﻿/**
 * @file
 * @brief 使用するエンジンに関する定数を記述する。
 * @author akino
 */
#if defined(XG3D_INCLUDED_ENGINE_HPP)
#else
#define XG3D_INCLUDED_ENGINE_HPP

//------------------------------------------------------------
#include <XBase/OS.hpp>

//------------------------------------------------------------
/// @addtogroup XG3D-Env
//@{

/// 使用するエンジンがOpenGLのときに定義されるプリプロセッサ。
#define XG3D_ENGINE_GL
#undef  XG3D_ENGINE_GL

/// 使用するエンジンがOpenGLESのときに定義されるプリプロセッサ。
#define XG3D_ENGINE_GLES
#undef  XG3D_ENGINE_GLES

/// 使用するエンジンがOpenGLもしくはOpenGLESのときに定義されるプリプロセッサ。
#define XG3D_ENGINE_GLSERIES
#undef  XG3D_ENGINE_GLSERIES

/// 使用するエンジンがDirect3Dのときに定義されるプリプロセッサ。
#define XG3D_ENGINE_D3D
#undef  XG3D_ENGINE_D3D

// 選択
#if defined(XBASE_OS_WINDOWS)
    // 今はOpenGLしか対応しない
    #define XG3D_ENGINE_GL
#elif defined(XBASE_OS_MACOSX)
    #define XG3D_ENGINE_GL
#elif defined(XBASE_OS_IOS)
    #define XG3D_ENGINE_GLES
#else
    #error "Not supported OS."
#endif

#if defined(XG3D_ENGINE_GL) || defined(XG3D_ENGINE_GLES)
    #define XG3D_ENGINE_GLSERIES
#endif

//@}
//------------------------------------------------------------
#endif
// EOF
